summarylogtreecommitdiffstats
path: root/readme.install
diff options
context:
space:
mode:
authorgraysky2015-06-08 18:00:31 -0400
committergraysky2015-06-08 18:00:31 -0400
commit16f4775c46ad49b4b9817008d4e2de9f314d69d6 (patch)
treee745a7b41b4f7e923a703fa22f6862f6184d9b9b /readme.install
downloadaur-16f4775c46ad49b4b9817008d4e2de9f314d69d6.tar.gz
Initial import
Diffstat (limited to 'readme.install')
-rw-r--r--readme.install59
1 files changed, 59 insertions, 0 deletions
diff --git a/readme.install b/readme.install
new file mode 100644
index 00000000000..941b8d7fb9c
--- /dev/null
+++ b/readme.install
@@ -0,0 +1,59 @@
+post_install() {
+ getent group kodi > /dev/null || groupadd -g 420 kodi
+ if ! getent passwd kodi > /dev/null; then
+ useradd -c 'kodi user' -u 420 -g kodi -G audio,video,network,optical \
+ -d /var/lib/kodi -s /usr/bin/nologin kodi
+ passwd -l kodi > /dev/null
+ [[ ! -d /var/lib/kodi/.kodi ]] &&
+ mkdir /var/lib/kodi/.kodi &&
+ chown -R kodi:kodi /var/lib/kodi/.kodi
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+ if ! getent group kodi | cut -d: -f3 | grep 420 > /dev/null 2>&1; then
+ groupmod -g 420 kodi > /dev/null 2>&1
+ fi
+ if ! id -u kodi | grep 420 > /dev/null 2>&1; then
+ usermod -u 420 kodi > /dev/null 2>&1
+ if [[ $? -ne 0 ]]; then
+ echo "Changing uid of user kodi failed."
+ echo "It is recommended that the uid is changed."
+ echo "Stop all processes running under the kodi user and reinstall kodi"
+ echo "or change the uid manually. (usermod -u 420 kodi)"
+ fi
+ chown -R kodi:kodi /var/lib/kodi
+ fi
+
+ if [[ -d /var/lib/xbmc ]]; then
+ echo "If you are upgrading from xbmc->kodi and wish to keep your"
+ echo "settings, simply follow these steps after the install:"
+ echo
+ echo "cp -a /var/lib/xbmc/.xbmc/* /var/lib/kodi/.kodi"
+ echo "chown -R kodi:kodi /var/lib/kodi"
+ fi
+
+ if [ "$(vercmp $2 1.8-1)" -lt 1 ]; then
+ if [[ -f /etc/X11/Xwrapper.config ]]; then
+ echo '-> It is no longer necessary to keep /etc/X11/Xwrapper.config for kodi to start properly.'
+ fi
+ else
+ /bin/true
+ fi
+}
+
+post_remove() {
+ getent passwd kodi > /dev/null 2>&1 && userdel kodi
+ getent group kodi > /dev/null 2>&1 && groupdel kodi
+}
+
+pre_install() {
+ /usr/bin/systemctl status xbmc.service &>/dev/null
+ if [[ $? -eq 0 ]]; then
+ # xbmc is running via this service
+ /usr/bin/systemctl stop xbmc.service &>/dev/null
+ else
+ /bin/true
+ fi
+}